Bug 1804944 - [IPI Baremetal] Hostname requirements are too restrictive
Summary: [IPI Baremetal] Hostname requirements are too restrictive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: Ben Nemec
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks: 1810663
TreeView+ depends on / blocked
 
Reported: 2020-02-19 22:42 UTC by Ben Nemec
Modified: 2021-01-11 16:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Arbitrary hostnames for master nodes. Reason: Deployers will often have preferred naming formats for their hosts and will not want to use master-0, master-1, etc. Result: Master nodes can be named with any valid hostname.
Clone Of:
: 1810663 (view as bug list)
Environment:
Last Closed: 2021-01-11 16:04:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1461 0 None closed Bug 1804944: Point etcd SRV record at master hostnames 2021-01-13 15:02:02 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:16:49 UTC

Internal Links: 1914440

Description Ben Nemec 2020-02-19 22:42:51 UTC
Description of problem: Due to the need to map hostnames received from DHCP with the etcd-[0,1,2] DNS records, we have imposed restrictive requirements on the format of the hostnames for the master nodes. Many deployers will want to name their servers based on an internal scheme, so we need to eliminate these restrictions.

In 4.4 the cluster-etcd-operator was added, which should allow us to bootstrap the etcd cluster using the master hostnames directly and drop the etcd-specific records. However, some changes to the baremetal pod configurations are needed for that to work and we need to drop some hard-coded overrides in the coredns-mdns plugin.

Comment 10 Victor Voronkov 2020-04-20 18:37:10 UTC
Verified on 4.5.0-0.nightly-2020-04-14-031010

[core@master-0-0 ~]$ host -t SRV _etcd-server-ssl._tcp.ocp-edge-cluster.qe.lab.redhat.com
Host _etcd-server-ssl._tcp.ocp-edge-cluster.qe.lab.redhat.com not found: 3(NXDOMAIN)
[core@master-0-0 ~]$ host -t SRV _etcd-server-ssl._tcp.ocp-edge-cluster-0.qe.lab.redhat.com
_etcd-server-ssl._tcp.ocp-edge-cluster-0.qe.lab.redhat.com has SRV record 0 10 2380 master-0-2.ocp-edge-cluster-0.qe.lab.redhat.com.
_etcd-server-ssl._tcp.ocp-edge-cluster-0.qe.lab.redhat.com has SRV record 0 10 2380 master-0-1.ocp-edge-cluster-0.qe.lab.redhat.com.
_etcd-server-ssl._tcp.ocp-edge-cluster-0.qe.lab.redhat.com has SRV record 0 10 2380 master-0-0.ocp-edge-cluster-0.qe.lab.redhat.com.

Comment 12 errata-xmlrpc 2020-07-13 17:16:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.